%define url_ver	%(echo %{version}|cut -d. -f1,2)

# _with = default off, _without = default on
%bcond_with build_packagekit

Summary:	GNOME Settings Daemon
Name:		gnome-settings-daemon
Version:	3.10.2
%define subrel	1
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		http://www.gnome.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		gnome-settings-daemon-dont-reference-non-installed-update-theme.patch
Patch1:		gnome-settings-daemon-no-lockscreen-screenshot.patch
BuildRequires:	pkgconfig(colord) >= 0.1.12
BuildRequires:	pkgconfig(dbus-1) >= 1.1.2
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.74
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(gio-2.0) >= 2.26.0
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.29.14
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gnome-desktop-3.0) >= 3.1.5
BuildRequires:	pkgconfig(gsettings-desktop-schemas) >= 3.3.0
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.3.4
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(ibus-1.0) >= 1.4.99.2012100
BuildRequires:	pkgconfig(kbproto)
BuildRequires:	pkgconfig(lcms2) >= 2.2
BuildRequires:	pkgconfig(libcanberra-gtk3)
BuildRequires:	pkgconfig(libgnomekbd) >= 2.91.1
BuildRequires:	pkgconfig(libgnomekbdui) >= 2.91.1
BuildRequires:	pkgconfig(libnotify) >= 0.7.3,
BuildRequires:	pkgconfig(libpulse) >= 0.9.16
BuildRequires:	pkgconfig(libpulse-mainloop-glib) >= 0.9.16
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(libwacom)
BuildRequires:	pkgconfig(libxklavier) >= 5.0
BuildRequires:	pkgconfig(nss) >= 3.11.2,
%if %with build_packagekit
BuildRequires:	pkgconfig(packagekit-glib2) >= 0.6.12
%endif
BuildRequires:	pkgconfig(polkit-gobject-1) >= 0.97
BuildRequires:	pkgconfig(libsystemd-login)
BuildRequires:	pkgconfig(upower-glib) >= 0.9.1
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xfixes)
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(xorg-wacom)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(gweather-3.0)
BuildRequires:	pkgconfig(geocode-glib-1.0)
BuildRequires:	pkgconfig(geoclue-2.0)
BuildRequires:	cups-devel
BuildRequires:	intltool
BuildRequires:	ldetect-lst
BuildRequires:	xsltproc
BuildRequires:	docbook-style-xsl
# (cg) only needed when rebootstrapping
BuildRequires:	gettext-devel

Requires:	system-config-printer-udev
Requires:	libgnome2-schemas

Conflicts:	gnome-control-center < 2.21.90
Conflicts:	gnome-color-manager < 3.1.2-1
Conflicts:	gnome-power-manager < 3.1.90
# ovitters: GNOME 3.8+ does not support fallback mode (gnome-panel, etc)
Conflicts:	gnome-panel <= 3.7.0-0.20130524.1

# For the media-keys 'plugin'.
# It handles extra keyboard buttons (Calculator, screenshot, shutdown, etc) as
# well as some keyboard bindings. The plugin calls these following programs
# explicitly (see plugins/media-keys/gsd-media-keys-manager.c)
#
# The plugin can be disabled per user; so if user wants really minimal
# functionality, they can disable the plugin using gsettings. As such, putting
# these programs as Suggests instead of Requires
Suggests:	gcalctool
Suggests:	gnome-power-manager
Suggests:	gnome-screenshot
Suggests:	gnome-session
# XXX - also wants one of:
# 1. tracker-needle.desktop (preferred)
# 2. gnome-search-tool.desktop (fallback)

# ibus support
Suggests:	ibus-gtk3
Suggests:	ibus-gtk

%description
GNOME settings daemon manages the configuration of the desktop in the
background.

%package devel
Summary:	Include files for the GNOME settings daemon
Group:		Development/GNOME and GTK+
Conflicts:      libgnome-window-settings-devel < 2.21.5

%description devel
Include files for the GNOME settings daemon

%prep
%setup -q
%apply_patches

#(cg) Needed by Patch0
autoreconf -iv

#to fix path in .desktop file (mga#3842)
#rm -rf ./data/gnome-settings-daemon.desktop.in

%build
%configure2_5x \
%if %with build_packagekit
	--enable-packagekit \
%else
	--disable-packagekit \
%endif
	--enable-profiling \
	--disable-static
%make V=1

%install
%makeinstall_std xmldir=%{buildroot}%{_datadir}/gnome-control-center/keybindings

#we don't want these
find %{buildroot} -name '*.la' -exec rm -f {} ';'

# (cg) When building locally (with packagekit deps installed) this file was still
# produced... could be an upstream buildsystem bug?
%if %without build_packagekit
rm -f %{buildroot}%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.updates.gschema.xml
%endif

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%doc AUTHORS COPYING NEWS
%dir %{_libdir}/gnome-settings-daemon-3.0

# list plugins explicitly, so we notice if one goes missing
# some of these don't have a separate gschema
%{_libdir}/gnome-settings-daemon-3.0/a11y-keyboard.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/liba11y-keyboard.so

#%{_libdir}/gnome-settings-daemon-3.0/automount.gnome-settings-plugin
#%{_libdir}/gnome-settings-daemon-3.0/libautomount.so

%{_libdir}/gnome-settings-daemon-3.0/power.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/libpower.so
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.power.gschema.xml

%if %with build_packagekit
%{_libdir}/gnome-settings-daemon-3.0/updates.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/libupdates.so
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.updates.gschema.xml
%{_datadir}/dbus-1/interfaces/org.gnome.SettingsDaemonUpdates.xml
%endif

%{_libdir}/gnome-settings-daemon-3.0/clipboard.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/libclipboard.so

%{_libdir}/gnome-settings-daemon-3.0/datetime.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/libdatetime.so
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.datetime.gschema.xml

%{_libdir}/gnome-settings-daemon-3.0/housekeeping.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/libhousekeeping.so
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.housekeeping.gschema.xml

%{_libdir}/gnome-settings-daemon-3.0/keyboard.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/libkeyboard.so
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.keyboard.gschema.xml

%{_libdir}/gnome-settings-daemon-3.0/media-keys.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/libmedia-keys.so
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.media-keys.gschema.xml

%{_libdir}/gnome-settings-daemon-3.0/mouse.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/libmouse.so

%{_libdir}/gnome-settings-daemon-3.0/print-notifications.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/libprint-notifications.so
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.print-notifications.gschema.xml

%{_libdir}/gnome-settings-daemon-3.0/sound.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/libsound.so

%{_libdir}/gnome-settings-daemon-3.0/wacom.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/libgsdwacom.so
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.peripherals.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.peripherals.wacom.gschema.xml

%{_libdir}/gnome-settings-daemon-3.0/xrandr.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/libxrandr.so
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.xrandr.gschema.xml

%{_libdir}/gnome-settings-daemon-3.0/xsettings.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/libxsettings.so
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.xsettings.gschema.xml

%{_libdir}/gnome-settings-daemon-3.0/a11y-settings.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/liba11y-settings.so

%{_libdir}/gnome-settings-daemon-3.0/color.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/libcolor.so
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.color.gschema.xml

%{_libdir}/gnome-settings-daemon-3.0/cursor.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/libcursor.so

%{_libdir}/gnome-settings-daemon-3.0/libgsd.so

%{_libdir}/gnome-settings-daemon-3.0/orientation.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/liborientation.so
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.orientation.gschema.xml

%{_libdir}/gnome-settings-daemon-3.0/screensaver-proxy.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/libscreensaver-proxy.so

%{_libdir}/gnome-settings-daemon-3.0/libremote-display.so
%{_libdir}/gnome-settings-daemon-3.0/remote-display.gnome-settings-plugin

%{_libdir}/gnome-settings-daemon-3.0/librfkill.so
%{_libdir}/gnome-settings-daemon-3.0/rfkill.gnome-settings-plugin

%{_libdir}/gnome-settings-daemon-3.0/libsmartcard.so
%{_libdir}/gnome-settings-daemon-3.0/smartcard.gnome-settings-plugin

%{_libexecdir}/gnome-settings-daemon
%{_libexecdir}/gnome-settings-daemon-localeexec
%{_libexecdir}/gsd-locate-pointer
%{_libexecdir}/gsd-printer
%{_libexecdir}/gsd-backlight-helper
%{_libexecdir}/gsd-wacom-led-helper
%{_libexecdir}/gsd-wacom-oled-helper
%{_libexecdir}/gsd-list-wacom
%{_libexecdir}/gsd-test-a11y-keyboard
%{_libexecdir}/gsd-test-a11y-settings
%{_libexecdir}/gsd-test-cursor
%{_libexecdir}/gsd-test-datetime
%{_libexecdir}/gsd-test-housekeeping
%{_libexecdir}/gsd-test-input-helper
%{_libexecdir}/gsd-test-keyboard
%{_libexecdir}/gsd-test-media-keys
%{_libexecdir}/gsd-test-mouse
%{_libexecdir}/gsd-test-orientation
%{_libexecdir}/gsd-test-print-notifications
%{_libexecdir}/gsd-test-remote-display
%{_libexecdir}/gsd-test-screensaver-proxy
%{_libexecdir}/gsd-test-sound
%{_libexecdir}/gsd-test-wacom
%{_libexecdir}/gsd-test-wacom-osd
%{_libexecdir}/gsd-test-xrandr
%{_libexecdir}/gsd-test-xsettings
%{_libexecdir}/gsd-test-rfkill
%{_libexecdir}/gsd-test-smartcard

%{_datadir}/gnome-settings-daemon/
%if %with build_packagekit
%{_datadir}/dbus-1/services/org.gnome.SettingsDaemon.service
%{_datadir}/dbus-1/interfaces/org.gnome.SettingsDaemonUpdates.xml
%endif

%{_sysconfdir}/xdg/autostart/gnome-settings-daemon.desktop

%{_datadir}/icons/hicolor/*/apps/gsd-xrandr.*

%{_datadir}/polkit-1/actions/org.gnome.settings-daemon.plugins.power.policy
%{_datadir}/polkit-1/actions/org.gnome.settings-daemon.plugins.wacom.policy

%{_datadir}/GConf/gsettings/gnome-settings-daemon.convert

%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.gschema.xml

%{_datadir}/man/man1/gnome-settings-daemon.1.*

%{_datadir}/dbus-1/services/org.freedesktop.IBus.service

%files devel
%{_includedir}/gnome-settings-daemon-3.0
%{_libdir}/pkgconfig/gnome-settings-daemon.pc
%dir %{_datadir}/gnome-settings-daemon-3.0
%{_datadir}/gnome-settings-daemon-3.0/input-device-example.sh


%changelog
* Mon Nov 03 2014 luigiwalser <luigiwalser> 3.10.2-2.1.mga4
+ Revision: 795331
- add patch from opensuse to fix CVE-2014-7300

* Tue Jan 14 2014 colin <colin> 3.10.2-2.mga4
+ Revision: 566588
- Rebuild against newer PA due to (temporary) ABI breakage (mga#12155)

* Tue Nov 12 2013 ovitters <ovitters> 3.10.2-1.mga4
+ Revision: 550850
- new version 3.10.2

* Tue Oct 22 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 546360
- new version 3.10.1

* Sat Oct 19 2013 umeabot <umeabot> 3.10.0-2.mga4
+ Revision: 536630
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484866
- new version 3.10.0

* Tue Sep 17 2013 ovitters <ovitters> 3.9.92-1.mga4
+ Revision: 480983
- new version 3.9.92

* Sat Sep 14 2013 wally <wally> 3.9.91.1-2.mga4
+ Revision: 478925
- rebuild with new colord

* Wed Sep 04 2013 dams <dams> 3.9.91.1-1.mga4
+ Revision: 474997
- new version 3.9.91.1
- adds 'geoclue-2.0' as BR

* Tue Sep 03 2013 dams <dams> 3.9.91-1.mga4
+ Revision: 474721
- removes Patch1 (rfkill) as fixed upstream
- adds 'gweather-3.0' and 'geocode-glib-1.0' as BR
- new version 3.9.91

* Mon Sep 02 2013 colin <colin> 3.9.90-6.mga4
+ Revision: 474436
- Re-enable the datetime plugin as schema it uses is now in gsettings-desktop-schemas

* Mon Sep 02 2013 colin <colin> 3.9.90-5.mga4
+ Revision: 474417
- Temporarily disable datetime plugin as the schema is not found

* Mon Sep 02 2013 colin <colin> 3.9.90-4.mga4
+ Revision: 474308
- Update to current git master (fixes may be related to mga#11124)

* Sun Sep 01 2013 tmb <tmb> 3.9.90-3.mga4
+ Revision: 473817
- rebuild for new webkit

* Wed Aug 28 2013 blino <blino> 3.9.90-2.mga4
+ Revision: 472743
- rfkill: fix crash (from upstream), usually happens during a suspend/resume cycle

* Tue Aug 20 2013 ovitters <ovitters> 3.9.90-1.mga4
+ Revision: 468511
- new version 3.9.90

* Thu Aug 08 2013 tmb <tmb> 3.9.5-2.mga4
+ Revision: 464751
- dont reference non-installed org.gnome.settings-daemon.plugins.updates schema

* Tue Jul 30 2013 ovitters <ovitters> 3.9.5-1.mga4
+ Revision: 461078
- update file list
- new version 3.9.5

* Sun Jul 28 2013 dams <dams> 3.9.3-1.mga4
+ Revision: 459299
- new version 3.9.3

  + ovitters <ovitters>
    - new version 3.8.4

* Sat Jun 08 2013 ovitters <ovitters> 3.8.3-1.mga4
+ Revision: 440714
- new version 3.8.3

* Tue May 28 2013 ovitters <ovitters> 3.8.2-2.mga4
+ Revision: 429249
- add explicit conflicts on gnome-panel

* Sat May 25 2013 blino <blino> 3.8.2-1.mga4
+ Revision: 427197
- package new test programs (cursor, housekeeping, wacom-osd, xrandr)
- package remote-display plugin
- update file list:
- remove background plugin (now handled in gnome-shell)
- remove smartcard plugin (disabled by default since 3.7)
- remove gnome-fallback-mount-helper (fallback mode dropped)
- remove gsd-test-power (not installed by default anymore)
- buildrequires librsvg-2.0 devel

  + tv <tv>
    - drop merged patches
    - new release

* Sat Jan 12 2013 umeabot <umeabot> 3.6.4-2.mga3
+ Revision: 352197
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 colin <colin> 3.6.4-1.mga3
+ Revision: 347384
- New version: 3.6.4
- Remove duplicated but commented out file listings for updates plugin (not enabled)
- Forceably remove updates plugin schema when not enabled during build.
- Add screensaver-proxy plugin
- Rebase systemd patch (conflicts due to fixes for XRandR bgo#672245)

* Fri Dec 21 2012 cjw <cjw> 3.6.3-2.mga3
+ Revision: 333667
- add BuildRequires: pkgconfig(xtst)

* Thu Nov 15 2012 fwang <fwang> 3.6.3-1.mga3
+ Revision: 318035
- new version 3.6.3

* Fri Nov 09 2012 colin <colin> 3.6.2-1.mga3
+ Revision: 316536
- New version: 3.6.2
- Rebased systemd/logind handling patch

* Fri Oct 19 2012 colin <colin> 3.6.1-3.mga3
+ Revision: 308188
- Fix typo in upstream suspend handling patch (bgo#680689)

* Mon Oct 15 2012 ovitters <ovitters> 3.6.1-2.mga3
+ Revision: 306040
- update file list
- enable ibus

* Mon Oct 08 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 303649
- drop merged patch
- new version 3.6.1

* Thu Oct 04 2012 colin <colin> 3.6.0-2.mga3
+ Revision: 302723
- BuildRequire gettext-devel for bootstrapping
- Update patches from bgo#680689 (systemd suspend/power handling)
- Drop unneeded patch to work around previously broken test.
- Fix spec case
- Explicitly disable packagekit (to prevent autodetection when building outside of BS)
- Add patch from bgo#680689 (c58) for systemd > 191

* Tue Sep 25 2012 fwang <fwang> 3.6.0-1.mga3
+ Revision: 297648
- update file list

  + ovitters <ovitters>
    - new version 3.6.0

* Mon Sep 17 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 295532
- new version 3.5.92

* Wed Sep 05 2012 colin <colin> 3.5.91-1.mga3
+ Revision: 288341
- Do not package updates plugin (missed the conditional packaging)
- Add a hack to prevent a build failure on an unused test binary
- Package updates plugin

  + ovitters <ovitters>
    - new version 3.5.91

* Tue Aug 21 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 282953
- new version 3.5.90

* Thu Aug 09 2012 ovitters <ovitters> 3.5.6-1.mga3
+ Revision: 280257
- update file list
- br docbook-style-xsl
- br xsltproc
- disable ibus support for now as version in Cauldron is too old
- new version 3.5.6
- br ibus-1.0
- new version 3.5.5

* Sun Jul 01 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 266191
- new version 3.5.4

* Sun Jul 01 2012 ovitters <ovitters> 3.5.3-1.mga3
+ Revision: 265976
- clean spec
- update file list
- disable packagekit plugin for now
- new version 3.5.3

* Tue Jun 12 2012 ovitters <ovitters> 3.4.2-3.mga3
+ Revision: 260003
- fix suggests: gnome-screenshot, not gnome-screenshot_s_

* Mon Jun 11 2012 ovitters <ovitters> 3.4.2-2.mga3
+ Revision: 259800
- enable systemd

* Tue May 15 2012 ovitters <ovitters> 3.4.2-1.mga3
+ Revision: 235712
- new version 3.4.2

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231063
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226763
- new version 3.4.0

* Sat Mar 24 2012 ovitters <ovitters> 3.3.92-2.mga2
+ Revision: 226079
- add media-keys plugin requiments as suggests (as plugin could be disabled via gsettings)

* Mon Mar 19 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 224296
- new version 3.3.92
- drop merged patch

* Tue Mar 06 2012 colin <colin> 3.3.91-2.mga2
+ Revision: 220233
- Remove services locaton patch (location reverted in new version) mga#4648

* Mon Mar 05 2012 wally <wally> 3.3.91-1.mga2
+ Revision: 219234
- new version 3.3.91

* Fri Feb 24 2012 ovitters <ovitters> 3.3.90.1-3.mga2
+ Revision: 213791
- really fix mga#4648

* Thu Feb 23 2012 ovitters <ovitters> 3.3.90.1-2.mga2
+ Revision: 213533
- fix dbus service location (mga#4648)

* Wed Feb 22 2012 wally <wally> 3.3.90.1-1.mga2
+ Revision: 212305
- add patch to fix linking
- add patch from upstream git to fix numlock always on

  + ovitters <ovitters>
    - new version
    - drop patch taken earlier from git

* Wed Feb 08 2012 ovitters <ovitters> 3.3.5-1.mga2
+ Revision: 206493
- update file list
- new version

  + tv <tv>
    - rebuild for new libwacom

* Mon Jan 23 2012 dmorgan <dmorgan> 3.3.4-2.mga2
+ Revision: 200202
- Fix package ownage

* Tue Jan 17 2012 wally <wally> 3.3.4-1.mga2
+ Revision: 197448
- new version 3.3.4

* Fri Dec 23 2011 wally <wally> 3.3.3.1-1.mga2
+ Revision: 186842
- new version 3.3.3.1

* Wed Dec 21 2011 wally <wally> 3.3.3-12.mga2
+ Revision: 185514
- fix exec path in .desktop file (mga#3842)

* Wed Dec 21 2011 fwang <fwang> 3.3.3-1.mga2
+ Revision: 185385
- update file list
- bump req
- new version 3.3.3

* Wed Nov 23 2011 wally <wally> 3.3.2-1.mga2
+ Revision: 171387
- new version 3.3.2
- bump gsettings-desktop-schemas dep

* Wed Nov 09 2011 wally <wally> 3.2.2-1.mga2
+ Revision: 165930
- new version 3.2.2

* Mon Oct 17 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 155786
- drop patch from upstream
- new version 3.2.1
- clean .spec a bit

* Fri Sep 30 2011 blino <blino> 3.2.0-3.mga2
+ Revision: 150602
- power: Do not sleep-on-idle by default (euphor does not like going to sleep after being up for just 30 minutes)

* Wed Sep 28 2011 fwang <fwang> 3.2.0-2.mga2
+ Revision: 149696
- rebuild for glib 2.30

* Mon Sep 26 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 148791
- new version 3.2.0

* Mon Sep 19 2011 fwang <fwang> 3.1.92-1.mga2
+ Revision: 145535
- update file list
- new version 3.1.92

* Mon Sep 05 2011 fwang <fwang> 3.1.91-1.mga2
+ Revision: 138807
- new version 3.1.91

* Tue Aug 30 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 136728
- new version 3.1.90

  + wally <wally>
    - new version 3.1.5
    - drop upstreamed and unused patches
    - fix Exec path in gnome-fallback-mount-helper.desktop
    - new version 3.1.4
    - add patches from upstream GIT to build fallback mounter correctly

* Sat Jul 16 2011 cjw <cjw> 3.1.3-4.mga2
+ Revision: 124926
- patch8: color management plugin: fix crash on error when run by gdm

* Wed Jul 13 2011 wally <wally> 3.1.3-3.mga2
+ Revision: 123726
- drop unneeded post and preun scripts
- enable gconf bridge (mirrors settings between gsettings and gconf)
- clean .spec a bit

* Wed Jul 06 2011 cjw <cjw> 3.1.3-2.mga2
+ Revision: 119518
- add conflicts on old gnome-color-manager because some files were moved here

* Wed Jul 06 2011 cjw <cjw> 3.1.3-1.mga2
+ Revision: 119250
- add BuildRequires: lcms2-devel
- add BuildRequires: libcolord-devel
- 3.1.3

  + dmorgan <dmorgan>
    - New version 3.1.2

* Wed Jun 08 2011 dmorgan <dmorgan> 3.1.1-1.mga2
+ Revision: 101772
- New version 3.1.1
  Sync with fedora

* Wed Jan 19 2011 blino <blino> 2.32.1-2.mga1
+ Revision: 24822
- remove old version in comments
- imported package gnome-settings-daemon

